Skip to content

Download an import template — Patients

GET/api/v1/workspaces/{workspaceId}/patients/templates/{format}

Operation ID: patients.downloadTemplate · Access: PAT with read scope and authorized workspace where applicable · Effect: read.

Read the patients workflow before this operation.

Name In Required Type / allowed values
workspaceId path Yes string
format path Yes csv, xlsx
HTTP Content Schema
200 application/octet-stream string
400 application/json ApiError
401 application/json ApiError
403 application/json ApiError
404 application/json ApiError
500 application/json ApiError

Use error.code, error.issues, and requestId for JSON errors. Error and recovery guide.

Set the connection variables from the quickstart. Set each path variable to an authorized identifier or an allowed parameter value from the table above.

Terminal window
curl --fail-with-body --request GET \
"$RIPSCLOUD_BASE_URL/api/v1/workspaces/$WORKSPACE_ID/patients/templates/$FORMAT" \
--header "Authorization: Bearer $RIPSCLOUD_TOKEN" \
--header 'Accept: application/octet-stream' \
--output artifact.bin